@use "./colors";

@import url("https://fonts.googleapis.com/css2?family=Spartan:wght@300;400;600;800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  background-color: colors.$primary-dark;
  overflow-x: hidden;
  scroll-behavior: smooth;
  -webkit-tap-highlight-color: transparent;
}

body {
  max-width: 1440px;
  width: 100%;
  margin-inline: auto;
  color: colors.$light;
  font-family: "Spartan", sans-serif;
  line-height: 1.5rem;
  font-size: 1.2rem;
}

.highlight-disabled {
  user-select: none;
}

.fade-in {
  animation: fadeIn 0.6s;
}

.fade-out-right {
  animation: fadeOutRight 0.6s;
}

.btn {
  border: none;
  border-radius: 10rem;
  padding: 1.6rem 2.8rem;
  font-weight: 700;
  cursor: pointer;
  transition: opacity 0.3s;

  &:hover {
    opacity: 0.5;
  }

  &--primary {
    color: colors.$secondary-light;
    background-color: colors.$primary;
  }

  &--secondary {
    color: colors.$secondary-light;
    background-color: colors.$secondary-accent;
  }

  &--tertiary {
    color: colors.$secondary-light;
    background-color: colors.$tertiary-accent;
  }

  &--danger {
    color: colors.$light;
    background-color: colors.$primary-warn;
  }
}

@keyframes fadeIn {
  from {
    visibility: hidden;
    opacity: 0;
  }
  to {
    visibility: visible;
    opacity: 1;
  }
}

@keyframes fadeOutRight {
  from {
    visibility: visible;
    opacity: 1;
    transform: translateX(0);
  }
  to {
    visibility: hidden;
    opacity: 0;
    transform: translateX(10rem);
  }
}

@media (max-width: 650px) {
  html {
    font-size: 52.5%;
  }
}
